$kind: http-request
url: "{{sahara_local}}recruitment/jobdistributions/1b43619d-03a8-42ce-a41b-925b\
  0b0ec5f1/update"
method: PUT
body:
  type: json
  content: "{\r

    \  \"job_order_id\": \"9b7d6714-dfc2-4817-92c1-a507f9124858\",\r

    \  \"job_board_id\": \"812cb28a-aafd-4314-9eee-e2bfcb4fdb6a\",\r

    \  \"distributed_by\": \"0f806850-7c2f-4372-8343-932d5f9973aa\",\r

    \r

    \  \"external_reference_id\": \"REF-EXT-12345\", //Nullable\r

    \  \"status\": \"active\",//\"pending\", \"active\"\r

    \  \"posted_at\": \"2025-07-03T10:30:00\",//Nullable\r

    \  \"removed_at\": \"2025-07-10T18:00:00\",//Nullable\r

    \r

    \  \"distribution_metadata\":
    \"{\\\"posted_by\\\":\\\"John\\\",\\\"via\\\":\\\"API\\\"}\", //Nullable\r

    \  \"notes\": \"Posted through the automatic job board integration.\"
    //Nullable\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 4000
